#!/bin/sh

set -e

[ "$1" ] || { echo "usage: bootstrap.sh [--skip-to <pkg>] <bootstrap directory>" && exit 0; }

trap 'trap - INT; kill -s INT "$$"' INT

deps="$(lix deps lix-os | cut -d' ' -f1)"
skipping=0

if [ "$1" = "--skip-to" ]; then
    skipto="$2"
    shift
    shift
fi

for dep in $deps; do
    [ "$skipto" ] && [ "$dep" != "$skipto" ] || skipping=1
    [ "$skipping" -ne 0 ] || continue
    echo "bootstrapping $dep"
    lix --bootstrap=$1 add $dep
done
