set -e

mu="$MUROOT/pkg/$1"
[ -d $1 ] || cp -a /mu/pkg/$1 .
cd $1

export version="$(cat $mu/version)"
export type="$(cat $mu/type)"
export url="$(cat $mu/url)"
curl -L -o src.$type "$(eval "echo \"$url\"")"

(echo "$url" | grep -q '$version') \
&& urlversion='$version' \
|| urlversion="$version"

if [ -f sig-url ]; then
	export sigurl="$(cat $mu/sig-url)"
	curl -L -o src.${type}.sig "$(eval "echo \"$sigurl\"")"
fi
printf %s\\t%s\\t%s\\t%s\\t%s\\n "$version" "$type" "arc" "$(wc -c src.$type | cut -d' ' -f1)" "$(sha512sum src.$type | cut -d' ' -f1)">>checks
printf %s\\t%s\\t%s\\t%s\\n "$urlversion" "$type" "arc" "$url">>urls

if [ -f "src.${type}.sig" ]; then
	printf %s\\t%s\\t%s\\t%s\\t%s\\n "$version" "$type" "sig" "$(wc -c src.${type}.sig | cut -d' ' -f1)" "$(sha512sum src.${type}.sig | cut -d' ' -f1)">>checks
	printf %s\\t%s\\t%s\\t%s\\n "$urlversion" "$type" "sig" "$sigurl">>urls
fi
printf "version=\"$version\"\\ntype=\"$type\"\\n">defaults.sh
rm "src.$type" "src.${type}.sig" type url sig-url sha512 version patch inst.sh make.sh conf.sh pull.sh || true

echo "done!"

cat urls
echo
cat checks
echo
cat defaults.sh
